HaskellForMaths-0.4.5: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None

Math.Algebras.LaurentPoly

# Documentation

data LaurentMonomial Source

Constructors

LM Int [(String, Int)] |

Instances

Eq LaurentMonomial |
Ord LaurentMonomial |
Show LaurentMonomial |
Mon LaurentMonomial |
(Eq k, Num k) => Algebra k LaurentMonomial |
(Eq k, Fractional k) => Fractional (LaurentPoly k) |
HopfAlgebra (LaurentPoly Q) (SL2q String) |
Bialgebra (LaurentPoly Q) (SL2q String) |
Bialgebra (LaurentPoly Q) (M2q String) |
Coalgebra (LaurentPoly Q) (SL2q String) |
Coalgebra (LaurentPoly Q) (M2q String) |
Algebra (LaurentPoly Q) (SL2q String) |
Algebra (LaurentPoly Q) (M2q String) |
Algebra (LaurentPoly Q) (Aq02 String) |
Algebra (LaurentPoly Q) (Aq20 String) |
Comodule (LaurentPoly Q) (M2q String) (Aq20 String) |

type LaurentPoly k = Vect k LaurentMonomial Source

lvar :: String -> LaurentPoly Q Source

q :: LaurentPoly Q Source

q' :: LaurentPoly Q Source